use wasm_bindgen::prelude::*;
use bitsy_parser::game::Game;

#[wasm_bindgen]
pub fn merge(a: String, b: String) -> String {
    let main = Game::from(a);
    let additional = Game::from(b);

    if main.is_err() {
        return "Couldn't parse main game.".to_string();
    }

    if additional.is_err() {
        return "Couldn't parse additional game.".to_string();
    }

    let mut main = main.unwrap();
    let additional = additional.unwrap();

    main.merge(additional);
    main.dedupe_tiles();
    main.to_string()
}
